#include<iostream>
using namespace std;
int main()
{
	int N,L,k;
	int H[1000];
	k = -1;
	cin>>N;
	cin>>L;
	for(int i=0; i<N; i++){
		cin>>H[i];
	}
	for(int i=0; i<N; i++){
		if(H[i]<=L){
			k = i + 1;
			i = N;
		}
	}
    cout<<k;
}